KTextEditor::BlockSelectionDCOPInterface class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTextEditor::BlockSelectionDCOPInterface Class Reference

This is the main interface to the BlockSelectionInterface of KTextEdit. DCOP interface to BlockSelectionInterface. More...

`#include <blockselectiondcopinterface.h>`

Inheritance diagram for KTextEditor::BlockSelectionDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::BlockSelectionDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
uint | blockSelectionInterfaceNumber ()
bool | blockSelectionMode ()
| is blockselection mode on ? if the blockselection mode is on, the selections applied via the SelectionInterface are handled as blockselections and the paste functions of the ClipboardInterface works blockwise (copy too, but thats clear I hope ;)
bool | setBlockSelectionMode (bool on)
| set blockselection mode to state "on"
bool | toggleBlockSelectionMode ()
| toggle blockseletion mode
## Public Member Functions
| BlockSelectionDCOPInterface (BlockSelectionInterface *Parent, const char *name)
| Construct a new interface object for the text editor.
virtual | ~BlockSelectionDCOPInterface ()
| Destructor Cleans up the object.

## Detailed Description

This is the main interface to the BlockSelectionInterface of KTextEdit. DCOP interface to BlockSelectionInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file blockselectiondcopinterface.h.

## Constructor & Destructor Documentation

BlockSelectionDCOPInterface::BlockSelectionDCOPInterface | ( | BlockSelectionInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  ParentBlockSelectionInterface | - The parent BlockSelectionInterface object that will provide us with the functions for the interface.
Definition at line 7 of file blockselectiondcopinterface.cpp. References KStdAccel::name().

BlockSelectionDCOPInterface::~BlockSelectionDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file blockselectiondcopinterface.cpp.

## Member Function Documentation

bool BlockSelectionDCOPInterface::blockSelectionMode | ( |  | ) |

| is blockselection mode on ? if the blockselection mode is on, the selections applied via the SelectionInterface are handled as blockselections and the paste functions of the ClipboardInterface works blockwise (copy too, but thats clear I hope ;) Definition at line 22 of file blockselectiondcopinterface.cpp.

bool BlockSelectionDCOPInterface::setBlockSelectionMode | ( | bool | on | ) |

| set blockselection mode to state "on" Definition at line 26 of file blockselectiondcopinterface.cpp.

bool BlockSelectionDCOPInterface::toggleBlockSelectionMode | ( |  | ) |

| toggle blockseletion mode Definition at line 30 of file blockselectiondcopinterface.cpp.

The documentation for this class was generated from the following files:

- blockselectiondcopinterface.h
- blockselectiondcopinterface.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:30:53 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001